package com.caimei.www.service;

import com.caimei.www.pojo.JsonModel;
import com.caimei.www.pojo.base.FriendLink;
import com.caimei.www.pojo.base.HelpPageType;
import com.caimei.www.pojo.base.TopMenu;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/6/16
 */
public interface BaseService {

    /**
     * 获取搜索热门关键字
     */
    List<String> getSearchHotWord();

    /**
     * 获取头部菜单
     */
    List<TopMenu> getNavMenu();

    /**
     * 底部帮助页
     */
    List<HelpPageType> getHelpPages();

    /**
     * 友情链接
     */
    List<FriendLink> getFriendLinks();

}
